// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.
 
package message;

import (
  "time"
)

type Empty struct {}

type Register struct { Handler interface{} }

type Terminated struct {}

type Stop struct {}

type Serialized struct { Content []byte }

type Unserialize struct { Size int }

type Error struct { E error }

type HealthCheckQuery struct {}

type HealthCheckResponse struct { QueueLen int }

type Subscribe struct { }

type Ack struct { }

type Ping struct {}

type Pong struct {}

type SubscribeToClockTick struct { }

type ClockTick struct { T time.Time }
