// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.
 
package context

import (
  "feudal/message"
)

// Register a handler for a message event type

type MessageHandler func(m message.Envelope)

func (h MessageHandler) Handle(m message.Envelope) {
  h(m)
}
